Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyPackageDoc

    org.codehaus.groovy.groovydoc.GroovyPackageDoc
      org.codehaus.groovy.groovydoc.GroovyDoc

All Superinterfaces:
  GroovyDoc

    public interface GroovyPackageDoc
    extends GroovyDoc

Method Summary
`GroovyClassDoc[]` | `allClasses()` All included classes and interfaces in this package.
`GroovyClassDoc[]` | `allClasses(boolean filter)` All classes and interfaces in this package optionally limited to just the included ones.
`String` | `description()` Description of the package.
`GroovyClassDoc[]` | `enums()` Included enum types in this package.
`GroovyClassDoc[]` | `errors()` Included errors in this package.
`GroovyClassDoc[]` | `exceptions()` Included exceptions in this package.
`GroovyClassDoc` | `findClass(String className)` Find a class or interface within this package.
`String` | `getRelativeRootPath()`
`GroovyClassDoc[]` | `interfaces()` Included interfaces in this package.
`String` | `nameWithDots()`
`GroovyClassDoc[]` | `ordinaryClasses()` Included ordinary classes in this package.
`String` | `summary()` The one-sentence summary for the package derived from the beginning of the description.

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### allClasses

    public GroovyClassDoc[] allClasses()

  All included classes and interfaces in this package.
  Returns:
    array of classes and interfaces found or empty array if none found

### allClasses

    public GroovyClassDoc[] allClasses(boolean filter)

  All classes and interfaces in this package optionally limited to just the included ones.
  Parameters:
    `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
  Returns:
    array of classes and interfaces found or empty array if none found

### description

    public String description()

  Description of the package.
  Returns:
    the description

### enums

    public GroovyClassDoc[] enums()

  Included enum types in this package.
  Returns:
    array of enum types found or empty array if none found

### errors

    public GroovyClassDoc[] errors()

  Included errors in this package.
  Returns:
    array of errors found or empty array if none found

### exceptions

    public GroovyClassDoc[] exceptions()

  Included exceptions in this package.
  Returns:
    array of exceptions found or empty array if none found

### findClass

    public GroovyClassDoc findClass(String className)

  Find a class or interface within this package.
  Parameters:
    `className` - the name of the class to find
  Returns:
    ClassDoc of found class or interface, or null if not found

### getRelativeRootPath

    public String getRelativeRootPath()

### interfaces

    public GroovyClassDoc[] interfaces()

  Included interfaces in this package.
  Returns:
    array of interfaces found or empty array if none found

### nameWithDots

    public String nameWithDots()

### ordinaryClasses

    public GroovyClassDoc[] ordinaryClasses()

  Included ordinary classes in this package.
  Returns:
    array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

### summary

    public String summary()

  The one-sentence summary for the package derived from the beginning of the description.
  Returns:
    the summary

Copyright © 2003-2010 The Codehaus. All rights reserved.